> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get public view of a report

> Returns the publicly accessible view of the specified report.



## OpenAPI

````yaml /api-reference/management.json get /v4/reports/{reportId}/views/public
openapi: 3.0.1
info:
  description: >-
    Configuration endpoints for the Extole platform: campaigns, components,
    audiences, persons, rewards, reporting, integrations setup, and
    administrative tooling.
  title: Management API
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Audiences
  - name: Authentication
  - name: Batch Jobs
  - name: Blocks
  - name: Campaigns
  - name: Components
  - name: Components Settings
  - name: Domains
  - name: Email
  - name: Erasure
  - name: Event Streams
  - name: File Validation Monitors
  - name: Optout
  - name: Profiles
  - name: Promotion Links
  - name: Report Schedules
  - name: Report Types
  - name: Reports
  - name: Reward Suppliers
  - name: Security Keys
  - name: Settings
  - name: User Notifications
  - name: User Subscriptions
  - name: Users
  - name: Webhooks
paths:
  /v4/reports/{reportId}/views/public:
    get:
      tags:
        - Reports
      summary: Get public view of a report
      description: Returns the publicly accessible view of the specified report.
      operationId: getPublicReportView
      parameters:
        - in: path
          name: reportId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicReportResponse'
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                binding_error:
                  $ref: '#/components/examples/binding_error'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
                report_not_found:
                  $ref: '#/components/examples/report_not_found'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  schemas:
    PublicReportResponse:
      properties:
        created_date:
          $ref: '#/components/schemas/ZonedDateTime'
        display_name:
          type: string
        download_uri:
          type: string
        executor_type:
          enum:
            - DASHBOARD
            - SPARK
            - SQL
          type: string
        formats:
          items:
            enum:
              - CSV
              - HEADLESS_CSV
              - HEADLESS_PSV
              - JSON
              - JSONL
              - PSV
              - XLSX
            type: string
          type: array
        id:
          readOnly: true
          type: string
        parameters:
          additionalProperties:
            $ref: '#/components/schemas/ReportParameterResponse'
          type: object
        report_type:
          type: string
        result:
          $ref: '#/components/schemas/PublicReportResultResponse'
        scopes:
          items:
            enum:
              - CLIENT_ADMIN
              - CLIENT_SUPERUSER
              - CONSUMER_PUBLIC
            type: string
          type: array
          uniqueItems: true
        tags:
          items:
            type: string
          type: array
          uniqueItems: true
        user_id:
          type: string
      required:
        - created_date
        - display_name
        - download_uri
        - executor_type
        - formats
        - id
        - parameters
        - report_type
        - result
        - scopes
        - tags
        - user_id
      type: object
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    ZonedDateTime:
      description: >-
        [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) or
        [RFC 9557](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        date-time with a numeric [UTC
        offset](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) and
        an optional [IANA
        time-zone](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        suffix in square brackets. Precision up to milliseconds.
      example: '2025-10-24T02:00:00-07:00'
      pattern: >-
        ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
      type: string
    ReportParameterResponse:
      properties:
        details:
          $ref: '#/components/schemas/ReportParameterDetailsResponse'
        value:
          type: string
      type: object
    PublicReportResultResponse:
      properties:
        completed_date:
          $ref: '#/components/schemas/ZonedDateTime'
        formats_info:
          additionalProperties:
            $ref: '#/components/schemas/FormatReportInfoResponse'
          type: object
        started_date:
          $ref: '#/components/schemas/ZonedDateTime'
        status:
          enum:
            - CANCELED
            - DONE
            - EXPIRED
            - FAILED
            - IN_PROGRESS
            - PENDING
            - PENDING_DATA
            - SFTP_DELIVERY_FAILED
          type: string
        total_rows:
          format: int64
          type: integer
      type: object
    ReportParameterDetailsResponse:
      properties:
        category:
          nullable: true
          type: string
        display_name:
          type: string
        is_required:
          type: boolean
        name:
          type: string
        order:
          format: int32
          type: integer
        type:
          $ref: '#/components/schemas/ReportParameterTypeResponse'
      type: object
    FormatReportInfoResponse:
      properties:
        content_length:
          format: int64
          type: integer
        total_rows:
          format: int64
          type: integer
      required:
        - content_length
        - total_rows
      type: object
    ReportParameterTypeResponse:
      properties:
        name:
          enum:
            - AUDIENCE_ID
            - AUDIENCE_IDS
            - AUDIENCE_MEMBERSHIPS_METRIC_MAPPING
            - AUDIENCE_MEMBERSHIPS_ROW_MAPPINGS
            - AUDIENCE_MEMBERS_ROW_MAPPINGS
            - BOOLEAN
            - CAMPAIGN_ID
            - CAMPAIGN_IDS
            - CHANNEL_MAPPING
            - CLIENT_EVENT_METRIC_MAPPINGS
            - CLIENT_ID
            - CLIENT_IDS
            - DATE
            - DATE_RANGE
            - DECIMAL
            - EMAIL_NAMES
            - ENUM
            - ENUM_LIST
            - EQUALITY
            - FILTER_MAPPINGS
            - FLOWS
            - FLOW_FILTER
            - GRANULAR_TIME_RANGE
            - ID
            - IDS
            - INPUT_RECORD_METRIC_MAPPING
            - INPUT_RECORD_ROW_MAPPINGS
            - INTEGER
            - LONG
            - MESSAGE_SUMMARY_METRIC_MAPPINGS
            - METRIC_MAPPINGS
            - MODEL_CONFIGURATION_METRIC_MAPPING
            - NORMALIZED_EMAIL
            - NOT_ARCHIVED_CAMPAIGN_ID
            - PERSON_DIMENSION_MAPPINGS
            - PERSON_MAPPINGS
            - PROGRAM_LABEL
            - PROGRAM_LABELS
            - REGEX
            - REWARD_EVENT_METRIC_MAPPINGS
            - REWARD_ROW_MAPPINGS
            - REWARD_SUPPLIER_DISPLAY_TYPES
            - REWARD_SUPPLIER_IDS
            - REWARD_SUPPLIER_TYPES
            - ROW_MAPPINGS
            - SORT_ORDER_MAPPINGS
            - SORT_ORDER_MAPPINGS_ON_STEPS
            - STEP
            - STEPS
            - STEP_COLUMN_LIST
            - STRING
            - STRING_LIST
            - TIERS
            - TIME
            - TIME_RANGE
            - WEBHOOK_DISPATCH_METRIC_MAPPING
            - WEBHOOK_DISPATCH_ROW_MAPPINGS
            - WEBHOOK_METRIC_MAPPING
            - WEBHOOK_ROW_MAPPINGS
          type: string
        value_type:
          enum:
            - DYNAMIC
            - STATIC
          nullable: true
          type: string
        values:
          items:
            type: string
          nullable: true
          type: array
          uniqueItems: true
      type: object
  examples:
    binding_error:
      summary: binding_error
      value:
        code: binding_error
        http_status_code: 400
        message: Argument is not of the expected type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_json:
      summary: invalid_json
      value:
        code: invalid_json
        http_status_code: 400
        message: JSON is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_parameter:
      summary: invalid_parameter
      value:
        code: invalid_parameter
        http_status_code: 400
        message: Parameter is invalid.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_request_body:
      summary: missing_request_body
      value:
        code: missing_request_body
        http_status_code: 400
        message: Missing request body
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_not_found:
      summary: report_not_found
      value:
        code: report_not_found
        http_status_code: 400
        message: Report not found
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    method_unauthorized:
      summary: method_unauthorized
      value:
        code: method_unauthorized
        http_status_code: 401
        message: Unauthorized access to this endpoint
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    payment_required:
      summary: payment_required
      value:
        code: payment_required
        http_status_code: 402
        message: The access_token provided is associated with an unpaid account.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    access_denied:
      summary: access_denied
      value:
        code: access_denied
        http_status_code: 403
        message: >-
          The access_token provided is not permitted to access the specified
          resource.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_access_token:
      summary: missing_access_token
      value:
        code: missing_access_token
        http_status_code: 403
        message: No access_token was provided with this request.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unsupported_media_type:
      summary: unsupported_media_type
      value:
        code: unsupported_media_type
        http_status_code: 415
        message: Request had an unsupported or no media type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    too_many_requests:
      summary: too_many_requests
      value:
        code: too_many_requests
        http_status_code: 429
        message: >-
          The server is unable to process your request at the moment, please
          retry later.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
  securitySchemes:
    HEADER:
      in: header
      name: Authorization
      type: apiKey
      x-bearer-format: bearer
    QUERY:
      in: query
      name: access_token
      type: apiKey
    COOKIE:
      in: cookie
      name: extole_token
      type: apiKey

````